Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## OOXMLconvert
Class OOXMLcomments

    java.lang.Object
      OOXMLconvert.OOXMLcomments

    public class OOXMLcomments

extends java.lang.Object

Field Summary
`private java.util.LinkedHashMap<java.lang.String,java.util.LinkedHashMap<java.lang.String,java.lang.String>>` | `comments` id a zoznam override parametrov

Constructor Summary
`OOXMLcomments()` Konštruktor

Method Summary
`java.util.LinkedHashMap<java.lang.String,java.lang.String>` | `getComment(java.lang.String id)` Funkcia na základe daného id vráti zodpovedajúcu footnote
`private java.util.LinkedHashMap<java.lang.String,java.lang.String>` | `getOverrideParams(Element commentEl)` Funkcia prečíta postupne všetky "p" elementy komentára a zistia či majú požadovaný tvar a prípadne zapíšu override parametre
`private java.lang.String` | `getText(Element elP)` Funkcia z p elementu vyextrahuje čistý text
`boolean` | `readComments()` Funkcia prečíta komentare
`private boolean` | `readComments(Element commentsEl)` Funkcia prečíta comments

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### comments

    private java.util.LinkedHashMap<java.lang.String,java.util.LinkedHashMap<java.lang.String,java.lang.String>> comments

  id a zoznam override parametrov

Constructor Detail

### OOXMLcomments

    public OOXMLcomments()

  Konštruktor

Method Detail

### getText

    private java.lang.String getText(Element elP)

  Funkcia z p elementu vyextrahuje čistý text

  Parameters:
    `elP` - p element
  Returns:
    String čistý text

### getOverrideParams

    private java.util.LinkedHashMap<java.lang.String,java.lang.String> getOverrideParams(Element commentEl)

  Funkcia prečíta postupne všetky "p" elementy komentára a zistia či majú požadovaný tvar a prípadne zapíšu override parametre

  Parameters:
    `commentEl` - element komentára
  Returns:
    LinkedHashMap - zoznam override parametrov

### readComments

    private boolean readComments(Element commentsEl)

  Funkcia prečíta comments

  Parameters:
    `commentsEl` - element container s comments
  Returns:
    true ak nenastane chyba, false inak

### getComment

    public java.util.LinkedHashMap<java.lang.String,java.lang.String> getComment(java.lang.String id)

  Funkcia na základe daného id vráti zodpovedajúcu footnote

  Parameters:
    `id` - footnote id
  Returns:
    LinkedHashMap - zoznam override parametrov

### readComments

    public boolean readComments()

  Funkcia prečíta komentare

  Returns:
    true ak nenastane chyba, false inak

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD